import { useMemo as t } from "react";
import { renderIcon as e } from "./helpers/renderIcon.js";
import { renderMultipleIcons as i } from "./helpers/renderMultipleIcons.js";
const l = (o) => {
  const { icons: r } = o, n = t(() => r ? Array.isArray(r) ? r : [r] : null, [r]);
  return !n || n.length === 0 ? null : n.length === 1 ? e(n[0]) : i(n);
};
export {
  l as IconsFormatter
};
